#!/usr/bin/env bash
# Copyright start
# Copyright (C) 2008 - 2024 Fortinet Inc.
# All rights reserved.
# FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
# Copyright end


# Check root
if [[ $EUID -ne 0 ]]; then
   echo "This script must be run as root. Please sudo su and re-run script"
   exit 1
fi

init (){
    src=/opt/cyops-tomcat/webapps/gateway/WEB-INF/classes/default_configs/
    dest=/opt/cyops/configs/cyops-gateway/
}

add_default_configs (){
    yes | cp -R $src/* $dest
    chown -R tomcat:tomcat $dest
    chmod -R 644 $dest/*

    # set exec permission on directories
    find $dest -type d -exec chmod 755 {} \;
}

init

add_default_configs